{
  "ash" : {
    "generateResource" : "Y"
  },
  "attributes" : [
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "createDate",
      "externalType" : "datetime",
      "name" : "createDate",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "Y",
        "isUpdatable" : "N"
      },
      "valueClassName" : "NSDate"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "destinationContactID",
      "externalType" : "longlong",
      "isIndexed" : "Y",
      "name" : "destinationContactID",
      "record" : {
        "allowsRecord" : "N",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "l"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "destinationOrgID",
      "externalType" : "longlong",
      "isIndexed" : "Y",
      "name" : "destinationOrgID",
      "record" : {
        "allowsRecord" : "N",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "l"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "details",
      "externalType" : "char",
      "name" : "details",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "Y",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSString",
      "width" : "0"
    },
    {
      "allowsNull" : "N",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "ordering",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "order",
      "record" : {
        "allowsRecord" : "N",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "N",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "_rowid",
      "externalType" : "longlong",
      "isIndexed" : "Y",
      "name" : "relationID",
      "record" : {
        "allowsRecord" : "N",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "l"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "relationshipTypeID",
      "externalType" : "longlong",
      "isIndexed" : "Y",
      "name" : "relationshipTypeID",
      "record" : {
        "allowsRecord" : "N",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "l"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "sourceContactID",
      "externalType" : "longlong",
      "isIndexed" : "Y",
      "name" : "sourceContactID",
      "record" : {
        "allowsRecord" : "N",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "l"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "sourceOrgID",
      "externalType" : "longlong",
      "isIndexed" : "Y",
      "name" : "sourceOrgID",
      "record" : {
        "allowsRecord" : "N",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "l"
    },
    {
      "addedInModelVersion" : 0,
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "deletionUserID",
      "externalType" : "int",
      "isIndexed" : "Y",
      "name" : "deletionUserID",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "addedInModelVersion" : 0,
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "deletionDate",
      "externalType" : "datetime",
      "isIndexed" : "Y",
      "name" : "deletionDate",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSDate"
    },
    {
      "addedInModelVersion" : 0,
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "deletionIdentifier",
      "externalType" : "char",
      "isIndexed" : "Y",
      "name" : "deletionIdentifier",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSString",
      "width" : 255
    }
  ],
  "className" : "GWRelationship",
  "classProperties" : [
    "createDate",
    "destinationContactID",
    "destinationOrgID",
    "details",
    "order",
    "relationID",
    "relationshipTypeID",
    "sourceContactID",
    "sourceOrgID",
    "deletionUserID",
    "deletionDate",
    "deletionIdentifier",
    "destinationContact",
    "destinationOrganization",
    "relationshipType",
    "sourceContact",
    "sourceOrganization"
  ],
  "domain" : "Contacts",
  "externalName" : "Relationship",
  "fetchSpecificationDictionary" : {

  },
  "isDatabasePreference" : false,
  "isTrashable" : true,
  "name" : "Relationship",
  "primaryKeyAttributes" : [
    "relationID"
  ],
  "record" : {
    "allowsRecord" : "Y",
    "isDirectlyUpdatable" : "Y",
    "recordName" : "AnyRelationship"
  },
  "relationships" : [
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "destination" : "Contact",
      "isToMany" : "N",
      "joins" : [
        {
          "destinationAttribute" : "contactID",
          "sourceAttribute" : "destinationContactID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "destinationContact",
      "record" : {
        "allowsRecord" : "Y",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "destination" : "Organization",
      "internalInfo" : {
        "_nameInObjectStore" : "destinationCompany"
      },
      "isToMany" : "N",
      "joins" : [
        {
          "destinationAttribute" : "organizationID",
          "sourceAttribute" : "destinationOrgID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "destinationOrganization",
      "record" : {
        "allowsRecord" : "Y",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N",
        "recordName" : "destinationCompany"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "destination" : "RelationshipType",
      "isToMany" : "N",
      "joins" : [
        {
          "destinationAttribute" : "relationshipTypeID",
          "sourceAttribute" : "relationshipTypeID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "relationshipType",
      "record" : {
        "allowsRecord" : "Y",
        "isEmbedded" : "Y",
        "isInternal" : "Y",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "destination" : "Contact",
      "isToMany" : "N",
      "joins" : [
        {
          "destinationAttribute" : "contactID",
          "sourceAttribute" : "sourceContactID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "sourceContact",
      "record" : {
        "allowsRecord" : "Y",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "destination" : "Organization",
      "internalInfo" : {
        "_nameInObjectStore" : "sourceCompany"
      },
      "isToMany" : "N",
      "joins" : [
        {
          "destinationAttribute" : "organizationID",
          "sourceAttribute" : "sourceOrgID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "sourceOrganization",
      "record" : {
        "allowsRecord" : "Y",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N",
        "recordName" : "sourceCompany"
      }
    }
  ],
  "supportsPermissions" : false,
  "uniqueIdentifier" : "87"
}